## [2.1.7](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.6...2.1.7) (2023-03-19)


### Bug Fixes

* **dotnet:** upgrade to version 7 ([5a1dc8b](https://gitlab.com/clanwars/lanpartyscreen/commit/5a1dc8bae75d8d6caaac8e82f496206bff14214a)), closes [#38](https://gitlab.com/clanwars/lanpartyscreen/issues/38)

## [2.1.6](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.5...2.1.6) (2022-10-08)


### Bug Fixes

* **matches:** do not show upcoming match as new match ([ce91db1](https://gitlab.com/clanwars/lanpartyscreen/commit/ce91db14dc4db8ddf7ce0aa66c3a57a97c80831c))

## [2.1.5](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.4...2.1.5) (2022-10-06)


### Bug Fixes

* **tournament:** cascade tournament delete ([2bbe06b](https://gitlab.com/clanwars/lanpartyscreen/commit/2bbe06b42d76e0edf4cf4c9e16ca318b4d6c3b67)), closes [#37](https://gitlab.com/clanwars/lanpartyscreen/issues/37)

## [2.1.4](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.3...2.1.4) (2022-10-06)


### Bug Fixes

* **welcome:** fix issues sending create welcome message ([126ad37](https://gitlab.com/clanwars/lanpartyscreen/commit/126ad3768fa2779af3ae255467c9c7b8f4f6f375))

## [2.1.3](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.2...2.1.3) (2022-10-06)


### Bug Fixes

* **welcome-message:** show firstname+lastname if nickname is not set ([f485658](https://gitlab.com/clanwars/lanpartyscreen/commit/f485658ba1a6a7b521149a174d33e95a5f441abf))

## [2.1.2](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.1...2.1.2) (2022-10-05)


### Bug Fixes

* **db:** use db tracking feature ([949c0aa](https://gitlab.com/clanwars/lanpartyscreen/commit/949c0aaa67f5c5062bd985c622f81e48a5e0ab9a))

## [2.1.1](https://gitlab.com/clanwars/lanpartyscreen/compare/2.1.0...2.1.1) (2022-10-01)


### Bug Fixes

* **deps:** update dependency @microsoft/signalr to v6 ([5e23091](https://gitlab.com/clanwars/lanpartyscreen/commit/5e23091aa15756f3151ba9347254bf110e01fc08))
* **image:** change wwwroot permissions ([eb7aa0a](https://gitlab.com/clanwars/lanpartyscreen/commit/eb7aa0a6da97a20a02c5b1acd77b062aa2c02680))
* **image:** copy correct files ([d6fb4d2](https://gitlab.com/clanwars/lanpartyscreen/commit/d6fb4d210491225356f81cbbf7eb0a48f46b2c09))
* **program:** use new dotnet style ([869ff13](https://gitlab.com/clanwars/lanpartyscreen/commit/869ff13eec3e471f0cfc8fa28937a16154bb5467)), closes [#33](https://gitlab.com/clanwars/lanpartyscreen/issues/33)

# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [2.0.11](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.10...2.0.11) (2021-10-09)


### Bug Fixes

* **randoms:** fixes random functions for tournaments and news ([a94de01](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/a94de01462997a6688ccec45143e5161e2f34f8e))

### [2.0.10](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.9...2.0.10) (2021-10-09)


### Bug Fixes

* **tournaments:** fixes teams in matches handling ([bd27a4f](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/bd27a4f4f4007b26211d3884f3c6dca2b0ebde69))

### [2.0.9](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.8...2.0.9) (2021-10-09)


### Bug Fixes

* **tournaments:** fixes handling of autogenerated id's with not nullable id's ([7f02f5b](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/7f02f5b86546390c3c7505272ee5fe8dc84af2f7))

### [2.0.8](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.7...2.0.8) (2021-10-08)


### Bug Fixes

* **tournaments:** fixes empty tournaments creatinmg message with nullable matches ([f359d0b](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/f359d0be925b947c3373306d38b50536aace4556))

### [2.0.7](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.6...2.0.7) (2021-10-08)


### Bug Fixes

* **shouts:** fixes random shout function ([87c7103](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/87c710377afe9c9bd78716b6c12a64547434362f))

### [2.0.6](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.5...2.0.6) (2021-10-03)

### [2.0.4](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.3...2.0.4) (2021-09-29)


### Bug Fixes

* **logging:** removes console log of connection string ([7fe2fd3](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/7fe2fd35295a75b7a29e8023aa2a7270fa6b0bd9))

### [2.0.3](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.2...2.0.3) (2021-09-29)


### Bug Fixes

* **db:** do automigrate db on prod environments ([bbc3504](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/bbc35048c07be3c7c9fb3210e7c48fa9803a1d5e))

### [2.0.2](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.1...2.0.2) (2021-09-29)

### [2.0.1](https://gitlab.com/homescreen.rocks/lanpartyscreen/compare/2.0.0...2.0.1) (2021-09-29)


### Bug Fixes

* **startup:** use IHostBuilder instead of IWebHostBuilder with all settings to default ([3d17edc](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/3d17edcd95b435a73a7eb2181d57747acd1a2f4e))

## 2.0.0 (2021-09-29)


### Features

* **API:** adds Announcement API ([4bb18aa](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/4bb18aaf748cb09a00065b18e1d52932c7f65249))
* **API:** adds shouts backend ([b900d61](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/b900d61422e818bb8a4a862a4c9f666f7a6aaca3))
* **Backend:** adds pipeline for content streaming ([c01ddf0](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/c01ddf0cab9633ac5a49f593ee5dbb933b10109d))
* **images:** adds option to hide/show images in the stream pipeline ([4abf30d](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/4abf30dbbf6918e9e1a39f24a0388fa578b58c7f))
* **Lights:** add ligths signalR hub ([b814479](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/b8144799c8d6db6ef0ca04bd8ff9030df0840704))
* **Modules:** makes module timeouts configurable ([4431d47](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/4431d4759c9b5252230458cfe890895d45afa7dc))
* **News:** adds REST backend for /news endpoint ([d85c42f](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/d85c42f0a68db8e51c140fb1801ad5c6ccbf86d8))
* **pictures:** allow pictures to get published randomly to stream ([ba6dde1](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/ba6dde17ff7126836f191b918264e9f007a432a7))
* **Pipeline:** add possibility to skip current PipelineEntry ([49fd515](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/49fd5157af25d21e7dfc8c84ee24eb66e68864d2))
* **Pipeline:** add welcome message ([0c495dd](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/0c495dd22bbdbf885545b6a0b1f55ff00ad7cb90))
* **Pipeline:** adds possibility to publish announcements as static content ([f9c3a30](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/f9c3a3017e2f48dffb6612f6c91c8bceb4e5bfe0))
* **Pipeline:** adds random mode to pipeline ([2abb511](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/2abb51162edb9e255f96dade53389cdc6d0790cb))
* **Pipeline:** adds Tournament random modes ([f50d142](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/f50d142c0ad2d44cf587ec01694950db3442ef90)), closes [#18](https://gitlab.com/homescreen.rocks/lanpartyscreen/issues/18)
* **Pipeline:** notify current state right after connection ([79dc42c](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/79dc42c5676874039e582be08737ce204d25883b))
* **Queue:** adds Tournament events to queue ([f4580b6](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/f4580b692145cac20a39aea298ac3fd970dc9802)), closes [#17](https://gitlab.com/homescreen.rocks/lanpartyscreen/issues/17)
* **REST:** add DELETE route for timeline ([d03d82e](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/d03d82efa24c5896db3ba939e0192d84638715fe))
* **REST:** add update for Timeline ([0881368](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/0881368235791f1fb31a1a2dbd786ef3e39c3ebf))
* **StaticPicture:** adds route for setting static picture with timeout ([3a41dc9](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/3a41dc978ef510fc20bccc36de1df1dd28bb41bf))
* **Swagger:** use swagger in production builds ([6c0b2ff](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/6c0b2fff8bcdcbda948b4106a86ae789d7ce3ef3))
* **www:** Add static files to startup ([fa4199d](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/fa4199df2b38f0f71eebe412846b9133b17b7c4f))


### Bug Fixes

* **Database:** moves db to folder ./database ([81a09ba](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/81a09bad3c2fb932403aeb02a12cbe935081194c))
* **DB:** adds a DB migration for older database file ([a9cacb2](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/a9cacb226dbe75a7aef119733d3a48bc5e77a99f))
* **kestrel:** fixes delivery of .manifest files ([915d5ce](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/915d5cec1287f4625ebc909f1ee2852bb9ab90aa))
* **middleware:** do not enforce https redirection ([a1f2af3](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/a1f2af33f5359171d0a58e930a47154bf13b4cf1))
* **Modules:** disabled modules are not accessed in random mode anymore ([f92d789](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/f92d7890986b16fceff8b5f4a606fa2eaa21c9d7))
* **ModuleTypes:** fixes accidentially changed announcement module type name ([6a481ea](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/6a481ea98240f988796aced62a7558c806c8ed1d))
* **news:** fixes an issue with empty news lists ([8820995](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/882099563623439bb4c26fd994969863f70a1f67)), closes [#24](https://gitlab.com/homescreen.rocks/lanpartyscreen/issues/24)
* **Pipeline:** fixes bug in state creation ([4211db9](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/4211db9ac2b7b0807ef6d705f86f6eba3e9c95b8))
* **Pipeline:** several pipeline improvements ([c04610c](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/c04610c1394d68ad1a6cba9e794e5d7b11124a47))
* **Pipeline:** several small fixes ([bf00ef5](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/bf00ef586f2b034dc6903e56f54f962a087dc146))
* **Random:** fixes getrandom functions for repositories ([01a91cd](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/01a91cd45fdcd956ffa676d830f1e5e022b69d90))
* **REST:** adds timeline module ([24f7d00](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/24f7d00d2da42f43452fbe26ee768799275801e9))
* **REST:** check if timeline entry already exists ([8f7d7c5](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/8f7d7c5da62b5a10c29778b43c3b107ea4cae933))
* **REST:** fix a controller parameter issue ([7a1ae8f](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/7a1ae8f7039abe489a1d913a1181136661a85d28))
* **REST:** remove property for welcome message ([11d1a28](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/11d1a28b141950738d93963fc6065460e8a314be))
* **REST:** timeline entry insertion ([f14d142](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/f14d142b75fcdca04b2b1ecb9aeebbe54795609a))
* **StaticPicture:** fixes url generation ([7e9540e](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/7e9540ef902bb9942b3c6fee485d573b38c23f91))
* **Swagger:** fixes Startup ([4f8c006](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/4f8c006fea7fc7b3dbb1dec2a2f6e034704db6d8))
* **Timeline:** add timeline pipeline entry to random selector ([a121b03](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/a121b03b432855f19dee897b190223706d0043b1))
* **Timeline:** allow multiple entries for the same time ([70c076f](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/70c076f571f20a11708e831c3aede06fe5f241d8))
* **Timeline:** set seconds to 0 ([b6fd866](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/b6fd866591e7a00adadce4d6a67f8a4773901b83))
* **Torunaments:** fixes state enum to LPM ([c0ed86b](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/c0ed86b5b1059da0d7ec3aca909204da17b9a95d))
* **Tournaments:** fixes query for running/not already finished tournaments ([70d16f8](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/70d16f8fcc2f654bbaf87bb176c5ae4ee472401c))
* **WWW:** rewrote hello world info message ([fa2ebaa](https://gitlab.com/homescreen.rocks/lanpartyscreen/commit/fa2ebaa53af437d44d4b882beb9d363bfdd0f1f1))
